[Question] About Instagram


Last Updated: 2012-11-08 22:30:16
  1. Ghack

    Ghack Member

    Hi guys, can anyone tell me that are there any versions of Instagram that work on Android 2.1 and if there is, where to download Instagram for Android 2.1 and above? I need it urgent, PLEASE HELP.

    Advertisement
  2. Bob Blaylock

    Bob Blaylock Well-Known Member

    I think you're out of luck. Current version appears to require at least Android 2.2.

    Perhaps you should look in the device-specific parts of this forum, and see if there's a custom ROM for your device that is based on a higher version of Android.
  3. Ghack

    Ghack Member

    I need Instagram for my Samsung Galaxy GT-I5500, that has currently installed Android OS 2.1.

    Btw, can i upgrade the OS of this phone to 2.2?

    Ooo, i saw today earlier in internet Instagram for Android OS 2.1 but link of Mediafire was broken, in comments all the users thanked the author for that cool stuff. I mean, and i was thinking that there is no Instagram for Android OS 2.1 but after i saw that post i was a little bit fulfilled with positive energy :p
  4. Bob Blaylock

    Bob Blaylock Well-Known Member

    You'll have to ask among those who are specific to your phone. I know that many Android devices can be upgraded to newer versions of Android. For example, I have a Motorola Triumph, which officially only supports Android 2.2 (Froyo), but I am running 2.3 (Gingerbread) on it. Some of the developers on this site are working on 4.0.x (Ice Cream Sandwich) and 4.1.x (Jelly Bean) ROMs for the Triumph, but as far as I can tell, 2.3 is the latest that exists in a completely functional form for the Triumph. (4.0.x appears to be close, with the only major failing being that the camera doesn't work.)

    Look under the device-specific sections on this forum for a section specific to your device, and look for an “All Things Root” section thereunder. That's where you will find discussion of upgrading the firmware on your device.


    You might try contacting Instagram themselves, and see if they will make older versions of their client application available.

    I suspect that Instagram is making changes to their service and to the application in such a way, however, that a very much older than current version of the application will likely work poorly, if at all.
    Ghack likes this.
  5. Ghack

    Ghack Member

    Thanks dude, i'll try to upgrade my phone
  6. chanchan05

    chanchan05 The Doctor Guide

    It won't matter even if you find a version of Instagram that supports 2.1

    Instagram image editing renders uses OpenGL for the graphics, so it requires a device with a graphics chip that has OpenGL capabilities. Your phone (GT-I5500) doesn't even have a graphics chip to begin with.
  7. Ghack

    Ghack Member

    You are wrong man, i upgraded my Samsung GT-I5500 to Android OS 2.2 and Instagram works prefectlly :D
  8. chanchan05

    chanchan05 The Doctor Guide

    Unless your phone has a graphics chip that GSMArena doesn't list or a new update removed that requirement I'll find that hard to believe. Instagram's app page says it REQUIRES an OpenGL GPU when I downloaded it.

    EDIT:
    https://play.google.com/store/apps/...1bGwsMSwxLDEsImNvbS5pbnN0YWdyYW0uYW5kcm9pZCJd

    Yup, the notice is still there. So basically your phone has an "unlisted" graphics chip if it is indeed working and you are using the official Instagram app. I have an old Galaxy Fit at home with Android 2.2 and Instagram is listed as incompatible last I checked.
  9. Ghack

    Ghack Member

    If you want, i'll make a photo of my phone with Instagram working and you'll see it :D
  10. Ghack

    Ghack Member

    [​IMG]

    The prove number 1, Google Play :D

    Tomorrow will come Instagram already installed in to my phone :D
  11. chanchan05

    chanchan05 The Doctor Guide

    As I said, your phone's complete specs were probably unlisted.
  12. Ghack

    Ghack Member

    I'm not understanding you what do you wanna say with unlisted?
  13. chanchan05

    chanchan05 The Doctor Guide

    Instagram's programming requires that you need an OpenGL ES capable chip for formatting to work. This means a graphics chip. Otherwise it would crash. Ever tried running a high end game on a netbook without a graphics chip? Kind of like that.

    On GSMArena's database, and other places I look, your phone model does not say it has a graphics chip. So basically, its not listed on databases if your phone has a graphics chip or not. But if Instagram works, it probably has one.
  14. Ghack

    Ghack Member

    Yeah and i was very suprising after upgrade. Now im going to try again to make the same thing that i did to my GT-I 5500 and i'll make a photo to both of phones and tell it to you.

Share This Page